For the complete documentation index, see llms.txt. This page is also available as Markdown.

Add new tenant role

Add new tenant role.

Required permissions: TENANT_ROLE

post
/tenants/{tenantUid}/tenant-roles
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Body
namestringRequired
descriptionstringRequired
externalIdstringOptional
permissionsstring[]Required
tenantRoleUidstringOptionalPattern: ^[A-Za-z0-9-_]+
Responses
201

Example response

application/json
namestringRequired
descriptionstringRequired
externalIdstringRequired
permissionsstring[]Required
tenantRoleUidstringRequiredPattern: ^[A-Za-z0-9-_]+
isSystemRolebooleanRequired
post/tenants/{tenantUid}/tenant-roles
POST /v2/tenants/{tenantUid}/tenant-roles HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 102

{
  "name": "text",
  "description": "text",
  "externalId": "text",
  "permissions": [
    "text"
  ],
  "tenantRoleUid": "text"
}
201

Example response

{
  "name": "text",
  "description": "text",
  "externalId": "text",
  "permissions": [
    "text"
  ],
  "tenantRoleUid": "text",
  "isSystemRole": true
}

Last updated

Was this helpful?